Returns types of work.

GEThttps://api.awork.com/api/v1/typeofwork
GET https://api.awork.com/api/v1/typeofwork

Returns types of work. Each type includes its billing and color settings.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

showArchivedbooleanOptional
Default: false

The show Archived.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the task type.

namestring or nullOptional

The name of the task type.

descriptionstring or nullOptional

A short (max. 140 characters) description of the task type.

iconstring or nullOptional

The icon associated with this task type.

isArchivedbooleanOptional

Whether the type of work has been archived.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

Search documentation